## kf6-solid 6.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.18.0") # handled by release scripts
project(Solid VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml Gui)


# shall we use DBus?
# enabled per default on Linux & BSD systems
# Android has no DBus, and Windows & Mac have backends that don't use DBus
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    set(HAVE_DBUS TRUE)
    add_definitions(-DHAVE_DBUS)
endif()

if(WIN32)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network)
endif()

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)

find_package(FLEX REQUIRED)
set_package_properties(FLEX PROPERTIES
    URL "http://flex.sourceforge.net"
    DESCRIPTION "Fast Lexical Analyzer"
    TYPE REQUIRED
    PURPOSE "Required for the Predicate parser"
)

find_package(BISON 3.0 REQUIRED)
set_package_properties(BISON PROPERTIES
    URL "http://www.gnu.org/software/bison"
    DESCRIPTION "general-purpose parser generator"
    TYPE REQUIRED
    PURPOSE "Required for the Predicate parser"
)

find_package(IMobileDevice)
set_package_properties(IMobileDevice PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the iOS device support backend"
                      )

find_package(PList)
set_package_properties(PList PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the iOS device support backend"
                      )

if (CMAKE_SYSTEM_NAME MATCHES Linux)
    # Used by the UDisks backend on Linux
    find_package(LibMount)
    set_package_properties(LibMount PROPERTIES
                           TYPE REQUIRED)
endif()

include(ECMPoQmTools)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(solid_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/solid/solid_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX SOLID
                        VERSION_HEADER "${solid_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SolidConfigVersion.cmake"
                        SOVERSION 6)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
)

ecm_install_po_files_as_qm(poqm)

include(SolidBackendsMacros)

add_device_backends_begin()
add_device_backend(fakehw)
if (CMAKE_SYSTEM_NAME MATCHES Linux)
    option(UDEV_DISABLED "Allows disabling UDev usage on Linux builds" OFF)
    if (NOT UDEV_DISABLED)
        find_package(UDev REQUIRED)
        set_package_properties(UDev PROPERTIES
            TYPE REQUIRED
            PURPOSE "Allows Solid to use UDev to provide information about devices on Linux"
        )
    endif()
    if (UDev_FOUND)
        set(UDEV_FOUND TRUE) # for config-solid.h
        add_device_backend(udev)
    endif()
    set(HAVE_LIBMOUNT ${LibMount_FOUND})
    add_device_backend(fstab)
    if (HAVE_DBUS)
        if (UDEV_FOUND)
            add_device_backend(udisks2)
        endif()
        add_device_backend(upower)
    endif()
elseif (APPLE)
    find_package(IOKit REQUIRED)
    add_device_backend(iokit)
elseif (WIN32)
    add_device_backend(win)
elseif (ANDROID)
    # Android specific Storage and other device APIs not implemented
elseif (HAIKU)
    # Haiku OS specific Storage and other device APIs not implemented
else()
    # BSDs and other Unix like systems
    add_device_backend(fstab)

    if (HAVE_DBUS)
        add_device_backend(upower)
        if (CMAKE_SYSTEM_NAME MATCHES FreeBSD OR CMAKE_SYSTEM_NAME MATCHES OpenBSD)
            add_device_backend(udisks2)
        endif()
    endif()
endif()

if(IMobileDevice_FOUND AND PList_FOUND)
    add_device_backend(imobile)
endif()

add_device_backends_cmake()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Solid")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6SolidConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6SolidConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF6SolidConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF6SolidConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF6SolidTargets  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"  FILE KF6SolidTargets.cmake  NAMESPACE KF6:: )

install(FILES ${solid_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Solid COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Concurrent Test)

########### fakehardwaretest ###############

if (BUILD_DEVICE_BACKEND_fakehw)
    ecm_add_test(fakehardwaretest.cpp LINK_LIBRARIES KF6Solid_static Qt6::Xml Qt6::Test)
    # QT5 TODO Port solid to QFINDTESTDATA
    target_compile_definitions(fakehardwaretest PRIVATE SOLID_STATIC_DEFINE=1 TEST_DATA="${CMAKE_CURRENT_SOURCE_DIR}/../src/solid/devices/backends/fakehw/fakecomputer.xml")
endif()

########### solidhwtest ###############

if (BUILD_DEVICE_BACKEND_fakehw)
    ecm_add_test(solidhwtest.cpp LINK_LIBRARIES Qt6::Xml Qt6::Test ${LIBS} KF6Solid_static)
    target_compile_definitions(solidhwtest PRIVATE SOLID_STATIC_DEFINE=1 FAKE_COMPUTER_XML="${CMAKE_CURRENT_SOURCE_DIR}/../src/solid/devices/backends/fakehw/fakecomputer.xml")
    target_include_directories(solidhwtest PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../src/solid/devices/backends/fakehw)
endif()

########### solidmttest ###############

ecm_add_test(solidmttest.cpp LINK_LIBRARIES Qt6::Xml Qt6::Test ${LIBS} KF6Solid_static Qt6::Concurrent)
target_compile_definitions(solidmttest PRIVATE SOLID_STATIC_DEFINE=1)

########### predicatetest ###############

ecm_add_test(predicatetest.cpp LINK_LIBRARIES Qt6::Xml Qt6::Test ${LIBS} KF6Solid_static Qt6::Concurrent)
target_compile_definitions(predicatetest PRIVATE SOLID_STATIC_DEFINE=1)

=== src/solid/devices/CMakeLists.txt ===
include (CheckCXXSourceCompiles)

if(WIN32)
    add_definitions(-DYY_NO_UNISTD_H)
endif()

if(MSVC OR (WIN32 AND CMAKE_CXX_COMPILER_ID STREQUAL "Intel"))
    check_cxx_source_compiles("int main() { __asm { pxor mm0, mm0 }; }" HAVE_X86_MMX)
    check_cxx_source_compiles("int main() { __asm { xorps xmm0, xmm0 }; }" HAVE_X86_SSE)
    check_cxx_source_compiles("int main() { __asm { xorpd xmm0, xmm0 }; }" HAVE_X86_SSE2)
    check_cxx_source_compiles("int main() { __asm { femms }; }" HAVE_X86_3DNOW)
else()
    check_cxx_source_compiles("     #ifdef __SUNPRO_CC
                                            #define __asm__ asm
                                    #endif
                    int main() { __asm__(\"pxor %mm0, %mm0\") ; }" HAVE_X86_MMX)
    check_cxx_source_compiles("     #ifdef __SUNPRO_CC
                                            #define __asm__ asm
                                    #endif
                    int main() { __asm__(\"xorps %xmm0, %xmm0\"); }" HAVE_X86_SSE)
    check_cxx_source_compiles("     #ifdef __SUNPRO_CC
                                            #define __asm__ asm
                                    #endif
                    int main() { __asm__(\"xorpd %xmm0, %xmm0\"); }" HAVE_X86_SSE2)
    check_cxx_source_compiles("     #ifdef __SUNPRO_CC
                                            #define __asm__ asm
                                    #endif
                    int main() { __asm__(\"femms\"); }" HAVE_X86_3DNOW)
endif()
check_cxx_source_compiles("     #ifdef __SUNPRO_CC
                                        #define __asm__ asm
                                #endif
                int main() { __asm__(\"mtspr 256, %0; vand %%v0, %%v0, %%v0\" : : \"r\"(-1) ); }" HAVE_PPC_ALTIVEC)

configure_file(devices/config-processor.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-processor.h )

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/devices/ ${CMAKE_CURRENT_SOURCE_DIR}/devices/frontend/ ${CMAKE_CURRENT_BINARY_DIR})
set(solid_LIB_SRCS
    ${solid_LIB_SRCS}
    devices/managerbase.cpp
    devices/solidnamespace.cpp
    devices/predicateparse.cpp

    devices/frontend/device.cpp
    devices/frontend/devicemanager.cpp
    devices/frontend/deviceinterface.cpp
    devices/frontend/genericinterface.cpp
    devices/frontend/processor.cpp
    devices/frontend/block.cpp
    devices/frontend/storagedrive.cpp
    devices/frontend/opticaldrive.cpp
    devices/frontend/storagevolume.cpp
    devices/frontend/opticaldisc.cpp
    devices/frontend/storageaccess.cpp
    devices/frontend/camera.cpp
    devices/frontend/portablemediaplayer.cpp
    devices/frontend/networkshare.cpp
    devices/frontend/battery.cpp
    devices/frontend/predicate.cpp

    devices/ifaces/battery.cpp
    devices/ifaces/block.cpp
    devices/ifaces/camera.cpp
    devices/ifaces/opticaldrive.cpp
    devices/ifaces/device.cpp
    devices/ifaces/deviceinterface.cpp
    devices/ifaces/devicemanager.cpp
    devices/ifaces/genericinterface.cpp
    devices/ifaces/networkshare.cpp
    devices/ifaces/opticaldisc.cpp
    devices/ifaces/portablemediaplayer.cpp
    devices/ifaces/processor.cpp
    devices/ifaces/storagedrive.cpp
    devices/ifaces/storagevolume.cpp
    devices/ifaces/storageaccess.cpp

    devices/backends/shared/rootdevice.cpp
    devices/backends/shared/cpufeatures.cpp
)

ecm_qt_declare_logging_category(solid_LIB_SRCS
    HEADER devices_debug.h
    IDENTIFIER Solid::Frontend::DeviceManager::DEVICEMANAGER
    DEFAULT_SEVERITY Warning
    CATEGORY_NAME kf.solid.frontend.devicemanager
    DESCRIPTION "Solid (Device Manager)"
    EXPORT SOLID
)

bison_target(SolidParser
             devices/predicate_parser.y
             ${CMAKE_CURRENT_BINARY_DIR}/predicate_parser.c
             COMPILE_FLAGS "-p Solid -d -b predicate_parser --no-lines"
)
set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/predicate_parser.h PROPERTY SKIP_AUTOMOC TRUE) # don't run automoc on this file

flex_target(SolidLexer
            devices/predicate_lexer.l
            ${CMAKE_CURRENT_BINARY_DIR}/predicate_lexer.c
            COMPILE_FLAGS "-P Solid --noline"
)
add_flex_bison_dependency(SolidLexer SolidParser)
list(APPEND solid_LIB_SRCS ${BISON_SolidParser_OUTPUTS} ${FLEX_SolidLexer_OUTPUTS})

include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckCXXSourceCompiles)

#Needed for the fstab backend
check_include_files(sys/types.h   HAVE_SYS_TYPES_H)
check_include_files(sys/param.h   HAVE_SYS_PARAM_H)
check_include_files("stdio.h;sys/mnttab.h"  HAVE_SYS_MNTTAB_H)
check_include_files("sys/param.h;sys/mount.h"  HAVE_SYS_MOUNT_H)

check_function_exists(getmntinfo HAVE_GETMNTINFO)

check_cxx_source_compiles("
  #include <sys/types.h>
  #include <sys/statvfs.h>
  int main(){
    struct statvfs *mntbufp;
    int flags;
    return getmntinfo(&mntbufp, flags);
  }
" GETMNTINFO_USES_STATVFS )

configure_file(devices/config-solid.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-solid.h )

set(solid_OPTIONAL_LIBS)

add_device_backends_build("${CMAKE_CURRENT_SOURCE_DIR}/devices/backends" solid_LIB_SRCS solid_OPTIONAL_LIBS)

=== src/solid/devices/backends/iokit/CMakeLists.txt ===
set(backend_sources
    iokitmanager.cpp
    iokitdevice.cpp
    cfhelper.cpp
    dadictionary.cpp
    iokitdeviceinterface.cpp
    iokitgenericinterface.cpp
    iokitprocessor.cpp
    iokitbattery.cpp
    iokitblock.cpp
    iokitstorage.cpp
    iokitvolume.cpp
    iokitstorageaccess.cpp
    iokitopticaldrive.cpp
    iokitopticaldisc.cpp
)
set(backend_libs ${IOKIT_LIBRARY} "-framework DiskArbitration")

=== src/solid/devices/backends/udisks2/CMakeLists.txt ===
set(backend_sources
    udisksmanager.cpp
    udisksdevice.cpp
    udisksdevicebackend.cpp
    udisksblock.cpp
    udisksstoragevolume.cpp
    udisksdeviceinterface.cpp
    udisksopticaldisc.cpp
    udisksopticaldrive.cpp
    udisksstoragedrive.cpp
    udisksstorageaccess.cpp
    udisksgenericinterface.cpp
    dbus/manager.cpp
)

ecm_qt_declare_logging_category(backend_sources
    HEADER udisks_debug.h
    IDENTIFIER Solid::Backends::UDisks2::UDISKS2
    DEFAULT_SEVERITY Warning
    CATEGORY_NAME kf.solid.backends.udisks2
    OLD_CATEGORY_NAMES org.kde.solid.udisks2
    DESCRIPTION "UDisks2 (Solid)"
    EXPORT SOLID
)

=== src/solid/devices/backends/win/CMakeLists.txt ===
set(backend_sources
    winblock.cpp
    winopticaldrive.cpp
    wininterface.cpp
    wingenericinterface.cpp
    windevice.cpp
    windevicemanager.cpp
    winopticaldisc.cpp
    winprocessor.cpp
    #wmiportablemediaplayer.cpp
    winstorageaccess.cpp
    winstoragedrive.cpp
    winstoragevolume.cpp
    winbattery.cpp
)
set(backend_libs Qt6::Network setupapi)

=== debian/changelog ===
kf6-solid (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:15:49 +0200

=== debian/control ===
Source: kf6-solid
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               bison (>= 2:3.0~),
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               flex,
               libimobiledevice-dev,
               libmount-dev [linux-any],
               libplist-dev,
               libudev-dev [linux-any],
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/solid
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-solid
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-solid.git
Rules-Requires-Root: no

Package: libkf6solid-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: udisks2 [linux-any],
            upower,
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 6.
 .
 This package contains the solid-hardware6 tool.

Package: libkf6solid-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 6.
 .
 This package contains shared data files.

Package: libkf6solid-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6solid6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Recommends: libkf6solid-doc (= ${source:Version}),
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6solid-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library to query and control hardware (documentation)
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6solid6
Architecture: any
Multi-Arch: same
Depends: libkf6solid-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: media-player-info [linux-any],
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 6.

## kf6-solid 6.18.0+p24.04+vstable+git20250926.0525

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 project(Solid VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-solid (6.18.0+p24.04+vstable+git20250926.0525-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 05:25:48 +0000

kf6-solid (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 13:11:33 +0000

kf6-solid (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:36:08 +0000

kf6-solid (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:52:01 +0000

kf6-solid (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 06:09:47 +0000

kf6-solid (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 07 May 2025 23:36:02 +1000

kf6-solid (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:18:45 +0000

kf6-solid (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:21:35 +0000

kf6-solid (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:44:50 +0000

kf6-solid (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:29:27 +0000

kf6-solid (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:45:35 +0000

kf6-solid (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 01:17:44 +0000

kf6-solid (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:42:24 +0000

kf6-solid (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:51:24 +0000

kf6-solid (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:59:36 +0000

kf6-solid (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:50:37 +0000

kf6-solid (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:35:33 +1000

kf6-solid (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:06:58 +0000

kf6-solid (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 13:01:11 +0000

kf6-solid (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-solid (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-solid 6.18.0+p24.04+vstable+git20250928.0546

=== debian/changelog ===
kf6-solid (6.18.0+p24.04+vstable+git20250928.0546-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 05:46:11 +0000

## kf6-solid 6.19.0

=== src/solid/CMakeLists.txt ===
ecm_create_qm_loader(solid_QM_LOADER solid6_qt)

include(devices/CMakeLists.txt)

set(solid_LIB_SRCS ${solid_LIB_SRCS} ${solid_QM_LOADER})

add_library(KF6Solid  ${solid_LIB_SRCS})
set(solid_BUILD_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}/..
)
target_include_directories(KF6Solid PUBLIC "$<BUILD_INTERFACE:${solid_BUILD_INCLUDE_DIRS}>")

ecm_generate_export_header(KF6Solid
    BASE_NAME Solid
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

add_library(KF6::Solid ALIAS KF6Solid)

# Apps must include <Solid/File> or <solid/file.h>
target_include_directories(KF6Solid INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Solid>")

target_link_libraries(KF6Solid PUBLIC Qt6::Core
                               PRIVATE Qt6::Xml
                                       Qt6::Gui
                                       ${solid_OPTIONAL_LIBS}
 )
if (HAVE_DBUS)
  target_link_libraries(KF6Solid PRIVATE Qt6::DBus)
endif()

set_target_properties(KF6Solid PROPERTIES  VERSION ${SOLID_VERSION}
                                           SOVERSION ${SOLID_SOVERSION}
                                           EXPORT_NAME Solid
)

ecm_generate_headers(Solid_CamelCase_HEADERS
  HEADER_NAMES
  Device
  DeviceNotifier
  DeviceInterface
  GenericInterface
  Processor
  Block
  StorageAccess
  StorageDrive
  OpticalDrive
  StorageVolume
  OpticalDisc
  Camera
  PortableMediaPlayer
  Battery
  Predicate
  NetworkShare
  SolidNamespace

  RELATIVE devices/frontend
  REQUIRED_HEADERS Solid_HEADERS
  PREFIX Solid
)

ecm_generate_qdoc(KF6Solid solid.qdocconf)

install(FILES ${Solid_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Solid/Solid COMPONENT Devel)

install(TARGETS KF6Solid EXPORT KF6SolidTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

########### static lib for tests  ###############

if (BUILD_TESTING)
  add_library(KF6Solid_static STATIC ${solid_LIB_SRCS})
  set_target_properties(KF6Solid_static PROPERTIES COMPILE_FLAGS -DSOLID_STATIC_DEFINE=1)

  target_link_libraries(KF6Solid_static PUBLIC Qt6::Core)
  target_link_libraries(KF6Solid_static PRIVATE Qt6::Xml Qt6::Gui ${solid_OPTIONAL_LIBS})
  if (HAVE_DBUS)
    target_link_libraries(KF6Solid_static PRIVATE Qt6::DBus)
  endif()
  target_include_directories(KF6Solid_static PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..;${CMAKE_CURRENT_BINARY_DIR}/..>")
endif()

########### install files ###############

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/solid_export.h
  ${Solid_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Solid/solid COMPONENT Devel
)

=== debian/changelog ===
kf6-solid (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * Refresh patches.
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:08:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,35 @@
 Source: kf6-solid
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: bison (>= 2:3.0~),
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               bison (>= 2:3.0~),
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
                flex,
                libimobiledevice-dev,
                libmount-dev [linux-any],
                libplist-dev,
                libudev-dev [linux-any],
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/solid
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-solid
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-solid.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-solid
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-solid
 Rules-Requires-Root: no
 
 Package: libkf6solid-bin
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: udisks2 [linux-any],
-            upower,
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: udisks2 [linux-any], upower,
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -56,7 +55,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6solid6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6solid-doc (= ${source:Version}),
 Description: Qt library to query and control hardware

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_DEVICE_BACKEND_hal=OFF

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/solid-(.*)\.tar\.xz

## kf6-solid 6.19.0+p24.04+vstable+git20251015.0818

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 project(Solid VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-solid (6.19.0+p24.04+vstable+git20251015.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:18:16 +0000

kf6-solid (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:16:54 +0000

=== debian/control ===
Source: kf6-solid
Section: libs
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               doxygen,
               flex,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               libimobiledevice-dev,
               libmount-dev,
               libudev-dev [linux-any],
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/solid
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-solid.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-solid
Maintainer: Neon CI <neon@kde.org>

Package: kf6-solid
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: media-player-info [linux-any], udisks2 [linux-any], upower
Breaks: libkf5solid-bin (<< 5.115.0-1)
Replaces: libkf5solid-bin (<< 5.115.0-1),
          libkf6solid-bin,
          libkf6solid-data,
          libkf6solid6,
          qml6-module-org-kde-solid,
          qtdeclarative6-kf6solid
Priority: optional
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 6.
 .
 This package contains the solid-hardware6 tool.

Package: kf6-solid-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-solid (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Replaces: libkf6solid-daoc, libkf6solid-dev
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6solid6
Architecture: all
Depends: kf6-solid, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6solid-bin
Architecture: all
Depends: kf6-solid, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6solid6-data
Architecture: all
Depends: kf6-solid, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6solid-dev
Architecture: all
Depends: kf6-solid-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6solid-doc
Architecture: all
Depends: kf6-solid-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-solid
Architecture: all
Depends: kf6-solid, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qtdeclarative6-kf6solid
Architecture: all
Depends: kf6-solid, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-solid 6.19.0+p24.04+vstable+git20251019.0059

=== debian/changelog ===
kf6-solid (6.19.0+p24.04+vstable+git20251019.0059-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:59:09 +0000

## kf6-solid 6.19.0+p24.04+vunstable+git20251015.0926

=== debian/changelog ===
kf6-solid (6.19.0+p24.04+vunstable+git20251015.0926-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:26:32 +0000

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, @, @builddeps@
Restrictions: build-needed

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## kf6-solid 6.19.0+p24.04+vunstable+git20251020.0204

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 include(ECMDeprecationSettings)
 include(ECMGenerateQDoc)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml Gui)

=== debian/changelog ===
kf6-solid (6.19.0+p24.04+vunstable+git20251020.0204-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:04:23 +0000

## kf6-solid 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(Solid VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/tools/CMakeLists.txt ===
add_subdirectory(solid-hardware)

=== debian/changelog ===
kf6-solid (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:14:31 +0100

=== debian/control ===
Source: kf6-solid
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               bison (>= 2:3.0~),
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               flex,
               libimobiledevice-dev,
               libmount-dev [linux-any],
               libplist-dev,
               libudev-dev [linux-any],
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/solid
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-solid
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-solid.git
Rules-Requires-Root: no

Package: libkf6solid-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: udisks2 [linux-any],
            upower,
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 6.
 .
 This package contains the solid-hardware6 tool.

Package: libkf6solid-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 6.
 .
 This package contains shared data files.

Package: libkf6solid-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6solid6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6solid-doc (= ${source:Version}),
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6solid-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library to query and control hardware (documentation)
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6solid6
Architecture: any
Multi-Arch: same
Depends: libkf6solid-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: media-player-info [linux-any],
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 6.

## kf6-solid 6.20.0+p24.04+vunstable+git20251122.0617

=== debian/changelog ===
kf6-solid (6.20.0+p24.04+vunstable+git20251122.0617-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 06:17:49 +0000

kf6-solid (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:46 +1000

## kf6-solid 6.20.0+p24.04+vunstable+git20251130.0050

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 project(Solid VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-solid (6.20.0+p24.04+vunstable+git20251130.0050-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 00:51:00 +0000

## kf6-solid 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(Solid VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-solid (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:54:29 +0000

kf6-solid (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:17:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-solid
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -10,27 +11,25 @@
                bison (>= 2:3.0~),
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                flex,
                libimobiledevice-dev,
                libmount-dev [linux-any],
                libplist-dev,
                libudev-dev [linux-any],
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/solid
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-solid
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-solid.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-solid
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-solid
 Rules-Requires-Root: no
 
 Package: libkf6solid-bin
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: udisks2 [linux-any],
-            upower,
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: udisks2 [linux-any], upower,
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -56,7 +55,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6solid6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6solid-doc (= ${source:Version}),
 Description: Qt library to query and control hardware

## kf6-solid 6.21.0+p24.04+vstable+git20251226.0147

=== debian/changelog ===
kf6-solid (6.21.0+p24.04+vstable+git20251226.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 01:47:08 +0000

kf6-solid (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:10:11 +1000

## kf6-solid 6.21.0+p24.04+vstable+git20260102.1100

=== debian/changelog ===
kf6-solid (6.21.0+p24.04+vstable+git20260102.1100-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:00:44 +0000

## kf6-solid 6.21.0+p24.04+vstable+git20260103.0154

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(Solid VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -94,7 +94,7 @@
                         SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.11.0
 )
 
 ecm_install_po_files_as_qm(poqm)

=== debian/changelog ===
kf6-solid (6.21.0+p24.04+vstable+git20260103.0154-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 01:54:30 +0000

## kf6-solid 6.21.0+p24.04+vunstable+git20251207.0557

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(Solid VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -94,7 +94,7 @@
                         SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.11.0
+    QT 6.10.0
 )
 
 ecm_install_po_files_as_qm(poqm)

=== debian/changelog ===
kf6-solid (6.21.0+p24.04+vunstable+git20251207.0557-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 05:57:39 +0000

## kf6-solid 6.22.0

=== debian/changelog ===
kf6-solid (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:33:56 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: bison (>= 2:3.0~),
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               bison (>= 2:3.0~),
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                flex,
                libimobiledevice-dev,
                libmount-dev [linux-any],

## kf6-solid 6.22.0+p24.04+vstable+git20260106.1007

=== debian/changelog ===
kf6-solid (6.22.0+p24.04+vstable+git20260106.1007-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 10:07:48 +0000

kf6-solid (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:41:26 +1000

## kf6-solid 6.22.0+p24.04+vstable+git20260126.0701

=== debian/changelog ===
kf6-solid (6.22.0+p24.04+vstable+git20260126.0701-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:01:09 +0000

## kf6-solid 6.22.0+p24.04+vstable+git20260131.1254

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(Solid VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -94,7 +94,7 @@
                         SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.11.0
 )
 
 ecm_install_po_files_as_qm(poqm)

=== debian/changelog ===
kf6-solid (6.22.0+p24.04+vstable+git20260131.1254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 12:54:22 +0000

## kf6-solid 6.22.0+p24.04+vunstable+git20260123.0331

=== debian/changelog ===
kf6-solid (6.22.0+p24.04+vunstable+git20260123.0331-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:31:09 +0000

## kf6-solid 6.22.0+p24.04+vunstable+git20260129.0249

=== debian/changelog ===
kf6-solid (6.22.0+p24.04+vunstable+git20260129.0249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:49:43 +0000
